'http://ww5.cad.de/index.php/CATIA%20V5%20Programmierung/?research=DrawingView&category=&forum=137&member=&opt=&start=10&ord= 'http://ww3.cad.de/foren/ubb/Forum137/HTML/000403.shtml#000002 Sub CATMain() Dim Eingabe As String Eingabe = "D:\pf" Eingabe = InputBox ("Bitte geben Sie den Öffnungs Ort ein.", "Alle Zeichnungen Öffnen", Eingabe) Dim oFileSystem As INFITF.FileSystem Set oFileSystem = CATIA.FileSystem Dim oFolder As INFITF.Folder ' Verzeichnisname für CATIA-Zeichnungen Set oFolder = oFileSystem.GetFolder (Eingabe) Dim FileSep As String FileSep = oFileSystem.FileSeparator Dim i As Long Dim j as Variant Dim oFile As INFITF.File Dim oActiveDoc As DrawingDocument 'Dim BackView As DrawingView 'Dim oText As DrawingText For i = 1 To oFolder.Files.Count Set oFile = oFolder.Files.Item(i) If Right(oFile.Name, 10) = "CATDrawing" Then Set oActiveDoc = CATIA.Documents.Open(oFolder.Path + FileSep + oFile.Name) For j = 1 to oActiveDoc.Sheets.Count 'Set BackView = oActiveDoc.Sheets.Item(j).Views.Item(2) 'Beispieltext bei x=100, y=100 'Set oText = BackView.Texts.Add("Beispieltext", 100.0, 100.0) Next 'oActiveDoc.Save 'oActiveDoc.Close End If Next End Sub